Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.bridge
Class UpdateManagerAdapter

    java.lang.Object
      org.apache.batik.bridge.UpdateManagerAdapter

All Implemented Interfaces:
  UpdateManagerListener

    public class UpdateManagerAdapter

extends Object
implements UpdateManagerListener

This is an adapter for the UpdateManagerListener interface. It's methods do nothing.

Constructor Summary
`UpdateManagerAdapter()`

Method Summary
`void` | `managerResumed(UpdateManagerEvent e)` Called when the manager was resumed.
`void` | `managerStarted(UpdateManagerEvent e)` Called when the manager was started.
`void` | `managerStopped(UpdateManagerEvent e)` Called when the manager was stopped.
`void` | `managerSuspended(UpdateManagerEvent e)` Called when the manager was suspended.
`void` | `updateCompleted(UpdateManagerEvent e)` Called when an update was completed.
`void` | `updateFailed(UpdateManagerEvent e)` Called when an update failed.
`void` | `updateStarted(UpdateManagerEvent e)` Called when an update started.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UpdateManagerAdapter

    public UpdateManagerAdapter()

Method Detail

### managerStarted

    public void managerStarted(UpdateManagerEvent e)

  Called when the manager was started.

  Specified by:
    `managerStarted` in interface `UpdateManagerListener`

### managerSuspended

    public void managerSuspended(UpdateManagerEvent e)

  Called when the manager was suspended.

  Specified by:
    `managerSuspended` in interface `UpdateManagerListener`

### managerResumed

    public void managerResumed(UpdateManagerEvent e)

  Called when the manager was resumed.

  Specified by:
    `managerResumed` in interface `UpdateManagerListener`

### managerStopped

    public void managerStopped(UpdateManagerEvent e)

  Called when the manager was stopped.

  Specified by:
    `managerStopped` in interface `UpdateManagerListener`

### updateStarted

    public void updateStarted(UpdateManagerEvent e)

  Called when an update started.

  Specified by:
    `updateStarted` in interface `UpdateManagerListener`

### updateCompleted

    public void updateCompleted(UpdateManagerEvent e)

  Called when an update was completed.

  Specified by:
    `updateCompleted` in interface `UpdateManagerListener`

### updateFailed

    public void updateFailed(UpdateManagerEvent e)

  Called when an update failed.

  Specified by:
    `updateFailed` in interface `UpdateManagerListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.